Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network140.166.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
140.166.0.0
Broadcast address
140.166.255.255
First usable
140.166.0.1
Last usable
140.166.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex 8CA60000 · Integer 2359689216 to 2359754751
Reverse DNS zone
166.140.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001100.10100110..00000000.00000000140.166.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10001100.10100110..00000000.00000000140.166.0.0
Broadcast10001100.10100110..11111111.11111111140.166.255.255
Split into smaller subnets/25

140.166.0.0/16 makes 512 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1140.166.0.0/25140.166.0.1 to 140.166.0.126140.166.0.127126
2140.166.0.128/25140.166.0.129 to 140.166.0.254140.166.0.255126
3140.166.1.0/25140.166.1.1 to 140.166.1.126140.166.1.127126
4140.166.1.128/25140.166.1.129 to 140.166.1.254140.166.1.255126
5140.166.2.0/25140.166.2.1 to 140.166.2.126140.166.2.127126
6140.166.2.128/25140.166.2.129 to 140.166.2.254140.166.2.255126
7140.166.3.0/25140.166.3.1 to 140.166.3.126140.166.3.127126
8140.166.3.128/25140.166.3.129 to 140.166.3.254140.166.3.255126
9140.166.4.0/25140.166.4.1 to 140.166.4.126140.166.4.127126
10140.166.4.128/25140.166.4.129 to 140.166.4.254140.166.4.255126
11140.166.5.0/25140.166.5.1 to 140.166.5.126140.166.5.127126
12140.166.5.128/25140.166.5.129 to 140.166.5.254140.166.5.255126
13140.166.6.0/25140.166.6.1 to 140.166.6.126140.166.6.127126
14140.166.6.128/25140.166.6.129 to 140.166.6.254140.166.6.255126
15140.166.7.0/25140.166.7.1 to 140.166.7.126140.166.7.127126
16140.166.7.128/25140.166.7.129 to 140.166.7.254140.166.7.255126
17140.166.8.0/25140.166.8.1 to 140.166.8.126140.166.8.127126
18140.166.8.128/25140.166.8.129 to 140.166.8.254140.166.8.255126
19140.166.9.0/25140.166.9.1 to 140.166.9.126140.166.9.127126
20140.166.9.128/25140.166.9.129 to 140.166.9.254140.166.9.255126
21140.166.10.0/25140.166.10.1 to 140.166.10.126140.166.10.127126
22140.166.10.128/25140.166.10.129 to 140.166.10.254140.166.10.255126
23140.166.11.0/25140.166.11.1 to 140.166.11.126140.166.11.127126
24140.166.11.128/25140.166.11.129 to 140.166.11.254140.166.11.255126
25140.166.12.0/25140.166.12.1 to 140.166.12.126140.166.12.127126
26140.166.12.128/25140.166.12.129 to 140.166.12.254140.166.12.255126
27140.166.13.0/25140.166.13.1 to 140.166.13.126140.166.13.127126
28140.166.13.128/25140.166.13.129 to 140.166.13.254140.166.13.255126
29140.166.14.0/25140.166.14.1 to 140.166.14.126140.166.14.127126
30140.166.14.128/25140.166.14.129 to 140.166.14.254140.166.14.255126
31140.166.15.0/25140.166.15.1 to 140.166.15.126140.166.15.127126
32140.166.15.128/25140.166.15.129 to 140.166.15.254140.166.15.255126
33140.166.16.0/25140.166.16.1 to 140.166.16.126140.166.16.127126
34140.166.16.128/25140.166.16.129 to 140.166.16.254140.166.16.255126
35140.166.17.0/25140.166.17.1 to 140.166.17.126140.166.17.127126
36140.166.17.128/25140.166.17.129 to 140.166.17.254140.166.17.255126
37140.166.18.0/25140.166.18.1 to 140.166.18.126140.166.18.127126
38140.166.18.128/25140.166.18.129 to 140.166.18.254140.166.18.255126
39140.166.19.0/25140.166.19.1 to 140.166.19.126140.166.19.127126
40140.166.19.128/25140.166.19.129 to 140.166.19.254140.166.19.255126
41140.166.20.0/25140.166.20.1 to 140.166.20.126140.166.20.127126
42140.166.20.128/25140.166.20.129 to 140.166.20.254140.166.20.255126
43140.166.21.0/25140.166.21.1 to 140.166.21.126140.166.21.127126
44140.166.21.128/25140.166.21.129 to 140.166.21.254140.166.21.255126
45140.166.22.0/25140.166.22.1 to 140.166.22.126140.166.22.127126
46140.166.22.128/25140.166.22.129 to 140.166.22.254140.166.22.255126
47140.166.23.0/25140.166.23.1 to 140.166.23.126140.166.23.127126
48140.166.23.128/25140.166.23.129 to 140.166.23.254140.166.23.255126
49140.166.24.0/25140.166.24.1 to 140.166.24.126140.166.24.127126
50140.166.24.128/25140.166.24.129 to 140.166.24.254140.166.24.255126
51140.166.25.0/25140.166.25.1 to 140.166.25.126140.166.25.127126
52140.166.25.128/25140.166.25.129 to 140.166.25.254140.166.25.255126
53140.166.26.0/25140.166.26.1 to 140.166.26.126140.166.26.127126
54140.166.26.128/25140.166.26.129 to 140.166.26.254140.166.26.255126
55140.166.27.0/25140.166.27.1 to 140.166.27.126140.166.27.127126
56140.166.27.128/25140.166.27.129 to 140.166.27.254140.166.27.255126
57140.166.28.0/25140.166.28.1 to 140.166.28.126140.166.28.127126
58140.166.28.128/25140.166.28.129 to 140.166.28.254140.166.28.255126
59140.166.29.0/25140.166.29.1 to 140.166.29.126140.166.29.127126
60140.166.29.128/25140.166.29.129 to 140.166.29.254140.166.29.255126
61140.166.30.0/25140.166.30.1 to 140.166.30.126140.166.30.127126
62140.166.30.128/25140.166.30.129 to 140.166.30.254140.166.30.255126
63140.166.31.0/25140.166.31.1 to 140.166.31.126140.166.31.127126
64140.166.31.128/25140.166.31.129 to 140.166.31.254140.166.31.255126
65140.166.32.0/25140.166.32.1 to 140.166.32.126140.166.32.127126
66140.166.32.128/25140.166.32.129 to 140.166.32.254140.166.32.255126
67140.166.33.0/25140.166.33.1 to 140.166.33.126140.166.33.127126
68140.166.33.128/25140.166.33.129 to 140.166.33.254140.166.33.255126
69140.166.34.0/25140.166.34.1 to 140.166.34.126140.166.34.127126
70140.166.34.128/25140.166.34.129 to 140.166.34.254140.166.34.255126
71140.166.35.0/25140.166.35.1 to 140.166.35.126140.166.35.127126
72140.166.35.128/25140.166.35.129 to 140.166.35.254140.166.35.255126
73140.166.36.0/25140.166.36.1 to 140.166.36.126140.166.36.127126
74140.166.36.128/25140.166.36.129 to 140.166.36.254140.166.36.255126
75140.166.37.0/25140.166.37.1 to 140.166.37.126140.166.37.127126
76140.166.37.128/25140.166.37.129 to 140.166.37.254140.166.37.255126
77140.166.38.0/25140.166.38.1 to 140.166.38.126140.166.38.127126
78140.166.38.128/25140.166.38.129 to 140.166.38.254140.166.38.255126
79140.166.39.0/25140.166.39.1 to 140.166.39.126140.166.39.127126
80140.166.39.128/25140.166.39.129 to 140.166.39.254140.166.39.255126
81140.166.40.0/25140.166.40.1 to 140.166.40.126140.166.40.127126
82140.166.40.128/25140.166.40.129 to 140.166.40.254140.166.40.255126
83140.166.41.0/25140.166.41.1 to 140.166.41.126140.166.41.127126
84140.166.41.128/25140.166.41.129 to 140.166.41.254140.166.41.255126
85140.166.42.0/25140.166.42.1 to 140.166.42.126140.166.42.127126
86140.166.42.128/25140.166.42.129 to 140.166.42.254140.166.42.255126
87140.166.43.0/25140.166.43.1 to 140.166.43.126140.166.43.127126
88140.166.43.128/25140.166.43.129 to 140.166.43.254140.166.43.255126
89140.166.44.0/25140.166.44.1 to 140.166.44.126140.166.44.127126
90140.166.44.128/25140.166.44.129 to 140.166.44.254140.166.44.255126
91140.166.45.0/25140.166.45.1 to 140.166.45.126140.166.45.127126
92140.166.45.128/25140.166.45.129 to 140.166.45.254140.166.45.255126
93140.166.46.0/25140.166.46.1 to 140.166.46.126140.166.46.127126
94140.166.46.128/25140.166.46.129 to 140.166.46.254140.166.46.255126
95140.166.47.0/25140.166.47.1 to 140.166.47.126140.166.47.127126
96140.166.47.128/25140.166.47.129 to 140.166.47.254140.166.47.255126
97140.166.48.0/25140.166.48.1 to 140.166.48.126140.166.48.127126
98140.166.48.128/25140.166.48.129 to 140.166.48.254140.166.48.255126
99140.166.49.0/25140.166.49.1 to 140.166.49.126140.166.49.127126
100140.166.49.128/25140.166.49.129 to 140.166.49.254140.166.49.255126
101140.166.50.0/25140.166.50.1 to 140.166.50.126140.166.50.127126
102140.166.50.128/25140.166.50.129 to 140.166.50.254140.166.50.255126
103140.166.51.0/25140.166.51.1 to 140.166.51.126140.166.51.127126
104140.166.51.128/25140.166.51.129 to 140.166.51.254140.166.51.255126
105140.166.52.0/25140.166.52.1 to 140.166.52.126140.166.52.127126
106140.166.52.128/25140.166.52.129 to 140.166.52.254140.166.52.255126
107140.166.53.0/25140.166.53.1 to 140.166.53.126140.166.53.127126
108140.166.53.128/25140.166.53.129 to 140.166.53.254140.166.53.255126
109140.166.54.0/25140.166.54.1 to 140.166.54.126140.166.54.127126
110140.166.54.128/25140.166.54.129 to 140.166.54.254140.166.54.255126
111140.166.55.0/25140.166.55.1 to 140.166.55.126140.166.55.127126
112140.166.55.128/25140.166.55.129 to 140.166.55.254140.166.55.255126
113140.166.56.0/25140.166.56.1 to 140.166.56.126140.166.56.127126
114140.166.56.128/25140.166.56.129 to 140.166.56.254140.166.56.255126
115140.166.57.0/25140.166.57.1 to 140.166.57.126140.166.57.127126
116140.166.57.128/25140.166.57.129 to 140.166.57.254140.166.57.255126
117140.166.58.0/25140.166.58.1 to 140.166.58.126140.166.58.127126
118140.166.58.128/25140.166.58.129 to 140.166.58.254140.166.58.255126
119140.166.59.0/25140.166.59.1 to 140.166.59.126140.166.59.127126
120140.166.59.128/25140.166.59.129 to 140.166.59.254140.166.59.255126
121140.166.60.0/25140.166.60.1 to 140.166.60.126140.166.60.127126
122140.166.60.128/25140.166.60.129 to 140.166.60.254140.166.60.255126
123140.166.61.0/25140.166.61.1 to 140.166.61.126140.166.61.127126
124140.166.61.128/25140.166.61.129 to 140.166.61.254140.166.61.255126
125140.166.62.0/25140.166.62.1 to 140.166.62.126140.166.62.127126
126140.166.62.128/25140.166.62.129 to 140.166.62.254140.166.62.255126
127140.166.63.0/25140.166.63.1 to 140.166.63.126140.166.63.127126
128140.166.63.128/25140.166.63.129 to 140.166.63.254140.166.63.255126
129140.166.64.0/25140.166.64.1 to 140.166.64.126140.166.64.127126
130140.166.64.128/25140.166.64.129 to 140.166.64.254140.166.64.255126
131140.166.65.0/25140.166.65.1 to 140.166.65.126140.166.65.127126
132140.166.65.128/25140.166.65.129 to 140.166.65.254140.166.65.255126
133140.166.66.0/25140.166.66.1 to 140.166.66.126140.166.66.127126
134140.166.66.128/25140.166.66.129 to 140.166.66.254140.166.66.255126
135140.166.67.0/25140.166.67.1 to 140.166.67.126140.166.67.127126
136140.166.67.128/25140.166.67.129 to 140.166.67.254140.166.67.255126
137140.166.68.0/25140.166.68.1 to 140.166.68.126140.166.68.127126
138140.166.68.128/25140.166.68.129 to 140.166.68.254140.166.68.255126
139140.166.69.0/25140.166.69.1 to 140.166.69.126140.166.69.127126
140140.166.69.128/25140.166.69.129 to 140.166.69.254140.166.69.255126
141140.166.70.0/25140.166.70.1 to 140.166.70.126140.166.70.127126
142140.166.70.128/25140.166.70.129 to 140.166.70.254140.166.70.255126
143140.166.71.0/25140.166.71.1 to 140.166.71.126140.166.71.127126
144140.166.71.128/25140.166.71.129 to 140.166.71.254140.166.71.255126
145140.166.72.0/25140.166.72.1 to 140.166.72.126140.166.72.127126
146140.166.72.128/25140.166.72.129 to 140.166.72.254140.166.72.255126
147140.166.73.0/25140.166.73.1 to 140.166.73.126140.166.73.127126
148140.166.73.128/25140.166.73.129 to 140.166.73.254140.166.73.255126
149140.166.74.0/25140.166.74.1 to 140.166.74.126140.166.74.127126
150140.166.74.128/25140.166.74.129 to 140.166.74.254140.166.74.255126
151140.166.75.0/25140.166.75.1 to 140.166.75.126140.166.75.127126
152140.166.75.128/25140.166.75.129 to 140.166.75.254140.166.75.255126
153140.166.76.0/25140.166.76.1 to 140.166.76.126140.166.76.127126
154140.166.76.128/25140.166.76.129 to 140.166.76.254140.166.76.255126
155140.166.77.0/25140.166.77.1 to 140.166.77.126140.166.77.127126
156140.166.77.128/25140.166.77.129 to 140.166.77.254140.166.77.255126
157140.166.78.0/25140.166.78.1 to 140.166.78.126140.166.78.127126
158140.166.78.128/25140.166.78.129 to 140.166.78.254140.166.78.255126
159140.166.79.0/25140.166.79.1 to 140.166.79.126140.166.79.127126
160140.166.79.128/25140.166.79.129 to 140.166.79.254140.166.79.255126
161140.166.80.0/25140.166.80.1 to 140.166.80.126140.166.80.127126
162140.166.80.128/25140.166.80.129 to 140.166.80.254140.166.80.255126
163140.166.81.0/25140.166.81.1 to 140.166.81.126140.166.81.127126
164140.166.81.128/25140.166.81.129 to 140.166.81.254140.166.81.255126
165140.166.82.0/25140.166.82.1 to 140.166.82.126140.166.82.127126
166140.166.82.128/25140.166.82.129 to 140.166.82.254140.166.82.255126
167140.166.83.0/25140.166.83.1 to 140.166.83.126140.166.83.127126
168140.166.83.128/25140.166.83.129 to 140.166.83.254140.166.83.255126
169140.166.84.0/25140.166.84.1 to 140.166.84.126140.166.84.127126
170140.166.84.128/25140.166.84.129 to 140.166.84.254140.166.84.255126
171140.166.85.0/25140.166.85.1 to 140.166.85.126140.166.85.127126
172140.166.85.128/25140.166.85.129 to 140.166.85.254140.166.85.255126
173140.166.86.0/25140.166.86.1 to 140.166.86.126140.166.86.127126
174140.166.86.128/25140.166.86.129 to 140.166.86.254140.166.86.255126
175140.166.87.0/25140.166.87.1 to 140.166.87.126140.166.87.127126
176140.166.87.128/25140.166.87.129 to 140.166.87.254140.166.87.255126
177140.166.88.0/25140.166.88.1 to 140.166.88.126140.166.88.127126
178140.166.88.128/25140.166.88.129 to 140.166.88.254140.166.88.255126
179140.166.89.0/25140.166.89.1 to 140.166.89.126140.166.89.127126
180140.166.89.128/25140.166.89.129 to 140.166.89.254140.166.89.255126
181140.166.90.0/25140.166.90.1 to 140.166.90.126140.166.90.127126
182140.166.90.128/25140.166.90.129 to 140.166.90.254140.166.90.255126
183140.166.91.0/25140.166.91.1 to 140.166.91.126140.166.91.127126
184140.166.91.128/25140.166.91.129 to 140.166.91.254140.166.91.255126
185140.166.92.0/25140.166.92.1 to 140.166.92.126140.166.92.127126
186140.166.92.128/25140.166.92.129 to 140.166.92.254140.166.92.255126
187140.166.93.0/25140.166.93.1 to 140.166.93.126140.166.93.127126
188140.166.93.128/25140.166.93.129 to 140.166.93.254140.166.93.255126
189140.166.94.0/25140.166.94.1 to 140.166.94.126140.166.94.127126
190140.166.94.128/25140.166.94.129 to 140.166.94.254140.166.94.255126
191140.166.95.0/25140.166.95.1 to 140.166.95.126140.166.95.127126
192140.166.95.128/25140.166.95.129 to 140.166.95.254140.166.95.255126
193140.166.96.0/25140.166.96.1 to 140.166.96.126140.166.96.127126
194140.166.96.128/25140.166.96.129 to 140.166.96.254140.166.96.255126
195140.166.97.0/25140.166.97.1 to 140.166.97.126140.166.97.127126
196140.166.97.128/25140.166.97.129 to 140.166.97.254140.166.97.255126
197140.166.98.0/25140.166.98.1 to 140.166.98.126140.166.98.127126
198140.166.98.128/25140.166.98.129 to 140.166.98.254140.166.98.255126
199140.166.99.0/25140.166.99.1 to 140.166.99.126140.166.99.127126
200140.166.99.128/25140.166.99.129 to 140.166.99.254140.166.99.255126
201140.166.100.0/25140.166.100.1 to 140.166.100.126140.166.100.127126
202140.166.100.128/25140.166.100.129 to 140.166.100.254140.166.100.255126
203140.166.101.0/25140.166.101.1 to 140.166.101.126140.166.101.127126
204140.166.101.128/25140.166.101.129 to 140.166.101.254140.166.101.255126
205140.166.102.0/25140.166.102.1 to 140.166.102.126140.166.102.127126
206140.166.102.128/25140.166.102.129 to 140.166.102.254140.166.102.255126
207140.166.103.0/25140.166.103.1 to 140.166.103.126140.166.103.127126
208140.166.103.128/25140.166.103.129 to 140.166.103.254140.166.103.255126
209140.166.104.0/25140.166.104.1 to 140.166.104.126140.166.104.127126
210140.166.104.128/25140.166.104.129 to 140.166.104.254140.166.104.255126
211140.166.105.0/25140.166.105.1 to 140.166.105.126140.166.105.127126
212140.166.105.128/25140.166.105.129 to 140.166.105.254140.166.105.255126
213140.166.106.0/25140.166.106.1 to 140.166.106.126140.166.106.127126
214140.166.106.128/25140.166.106.129 to 140.166.106.254140.166.106.255126
215140.166.107.0/25140.166.107.1 to 140.166.107.126140.166.107.127126
216140.166.107.128/25140.166.107.129 to 140.166.107.254140.166.107.255126
217140.166.108.0/25140.166.108.1 to 140.166.108.126140.166.108.127126
218140.166.108.128/25140.166.108.129 to 140.166.108.254140.166.108.255126
219140.166.109.0/25140.166.109.1 to 140.166.109.126140.166.109.127126
220140.166.109.128/25140.166.109.129 to 140.166.109.254140.166.109.255126
221140.166.110.0/25140.166.110.1 to 140.166.110.126140.166.110.127126
222140.166.110.128/25140.166.110.129 to 140.166.110.254140.166.110.255126
223140.166.111.0/25140.166.111.1 to 140.166.111.126140.166.111.127126
224140.166.111.128/25140.166.111.129 to 140.166.111.254140.166.111.255126
225140.166.112.0/25140.166.112.1 to 140.166.112.126140.166.112.127126
226140.166.112.128/25140.166.112.129 to 140.166.112.254140.166.112.255126
227140.166.113.0/25140.166.113.1 to 140.166.113.126140.166.113.127126
228140.166.113.128/25140.166.113.129 to 140.166.113.254140.166.113.255126
229140.166.114.0/25140.166.114.1 to 140.166.114.126140.166.114.127126
230140.166.114.128/25140.166.114.129 to 140.166.114.254140.166.114.255126
231140.166.115.0/25140.166.115.1 to 140.166.115.126140.166.115.127126
232140.166.115.128/25140.166.115.129 to 140.166.115.254140.166.115.255126
233140.166.116.0/25140.166.116.1 to 140.166.116.126140.166.116.127126
234140.166.116.128/25140.166.116.129 to 140.166.116.254140.166.116.255126
235140.166.117.0/25140.166.117.1 to 140.166.117.126140.166.117.127126
236140.166.117.128/25140.166.117.129 to 140.166.117.254140.166.117.255126
237140.166.118.0/25140.166.118.1 to 140.166.118.126140.166.118.127126
238140.166.118.128/25140.166.118.129 to 140.166.118.254140.166.118.255126
239140.166.119.0/25140.166.119.1 to 140.166.119.126140.166.119.127126
240140.166.119.128/25140.166.119.129 to 140.166.119.254140.166.119.255126
241140.166.120.0/25140.166.120.1 to 140.166.120.126140.166.120.127126
242140.166.120.128/25140.166.120.129 to 140.166.120.254140.166.120.255126
243140.166.121.0/25140.166.121.1 to 140.166.121.126140.166.121.127126
244140.166.121.128/25140.166.121.129 to 140.166.121.254140.166.121.255126
245140.166.122.0/25140.166.122.1 to 140.166.122.126140.166.122.127126
246140.166.122.128/25140.166.122.129 to 140.166.122.254140.166.122.255126
247140.166.123.0/25140.166.123.1 to 140.166.123.126140.166.123.127126
248140.166.123.128/25140.166.123.129 to 140.166.123.254140.166.123.255126
249140.166.124.0/25140.166.124.1 to 140.166.124.126140.166.124.127126
250140.166.124.128/25140.166.124.129 to 140.166.124.254140.166.124.255126
251140.166.125.0/25140.166.125.1 to 140.166.125.126140.166.125.127126
252140.166.125.128/25140.166.125.129 to 140.166.125.254140.166.125.255126
253140.166.126.0/25140.166.126.1 to 140.166.126.126140.166.126.127126
254140.166.126.128/25140.166.126.129 to 140.166.126.254140.166.126.255126
255140.166.127.0/25140.166.127.1 to 140.166.127.126140.166.127.127126
256140.166.127.128/25140.166.127.129 to 140.166.127.254140.166.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses